- NAME
- VERSION
- DESCRIPTION
- OVERRIDDEN METHODS
  - Instance Methods
    - comment

# NAME

TAP::Parser::Result::Comment - Comment result token.

# VERSION

Version 3.38

# DESCRIPTION

This is a subclass of TAP::Parser::Result. A token of this class will be returned if a comment line is encountered.

     1..1
     ok 1 - woo hooo!
     # this is a comment

# OVERRIDDEN METHODS

Mainly listed here to shut up the pitiful screams of the pod coverage tests. They keep me awake at night.

- `as_string`

  Note that this method merely returns the comment preceded by a '# '.

## Instance Methods

### `comment`

      if ( $result->is_comment ) {
          my $comment = $result->comment;
          print "I have something to say:  $comment";
      }